PC SOFT

DOCUMENTATION EN LIGNE
DE WINDEV, WEBDEV ET WINDEV MOBILE

  • Présentation
  • Installer le Framework .NET
  • Vérifier si le Framework .NET est installé sur le poste en cours
  • Installer le Framework .NET sur le poste en cours
  • Installer la LibC 10
  • Régler le niveau de sécurité .NET
  • Rendre accessibles les DLLs nécessaires à l'exécution de l'assemblage .NET
  • Installer le Compact Framework
WINDEV
WindowsLinuxUniversal Windows 10 AppJavaEtats et RequêtesCode Utilisateur (MCU)
WEBDEV
WindowsLinuxPHPWEBDEV - Code Navigateur
WINDEV Mobile
AndroidWidget AndroidiPhone/iPadApple WatchUniversal Windows 10 AppWindows Mobile
Autres
Procédures stockées
Présentation
WINDEV Pour créer et utiliser un assemblage .NET sous WINDEV, il est nécessaire de :
WINDEV Mobile Pour utiliser un assemblage .NET sous WINDEV Mobile, il est nécessaire de :
  • installer le Framework .NET (version 2.0) sur le poste de développement.
  • installer le SDK Compact Framework (version 2.0) sur le poste de développement.
  • installer le Compact Framework (version 2.0) sur le Pocket PC.
    Remarques :
    - Lors de la réalisation de cette documentation, le Compact Framework (version 2.0) ne fonctionne pas sur Windows CE 2002 et sur les Smartphones 2003.
    - Si un exécutable Mobile utilisant des assemblages .NET est lancé sur un Pocket où le Framework .NET 2.0 n'est pas installé, l'exécutable ne fonctionne pas. Aucun message d'erreur n'est affiché.
Remarque : Par défaut, lors de l'utilisation d'un assemblage .NET, c'est le framework le plus récent qui est utilisé.
Installer le Framework .NET

Vérifier si le Framework .NET est installé sur le poste en cours

Pour vérifier si le Framework .NET est installé sur le poste en cours :
  1. Ouvrez le panneau de configuration de Windows (option "Démarrer .. Paramètres .. Panneau de configuration") et sélectionnez l'option "Ajout / Suppression de programmes".
  2. Recherchez dans la liste le programme "Framework .NET".

Installer le Framework .NET sur le poste en cours

Méthode 1 : Utilisation de Windows Update
Pour installer le Framework .NET sur le poste en cours :
  1. Ouvrez le panneau de configuration de Windows (option "Démarrer .. Paramètres .. Panneau de configuration") et sélectionnez l'option "Ajout / Suppression de programmes".
  2. Cliquez sur le bouton "Ajouter de nouveaux programmes".
  3. Cliquez sur le bouton "Windows Update".
  4. Recherchez l'installation du Framework .NET.
  5. Installez le Framework .NET.
Méthode 2 : Téléchargement depuis le site Internet de Microsoft
Pour installer le Framework .NET sur le poste en cours :
  1. Consultez le site de Microsoft.
  2. Dans la partie "Téléchargement", recherchez l'installation du Framework .NET.
  3. Installez le Framework .NET.
Versions 16 et supérieures
Cas particulier : Framework .NET 4.0
La DLL .NET 4 a besoin de la LibC 10. Elle ne se charge donc pas sur des machines :
  • possédant uniquement le framework .NET 4
  • sur lesquelles aucune autre application n'a encore installé la LibC 10 (Visual 2010 par exemple).
La version distribuable de la LibC 10 est librement téléchargeable sur le site de Microsoft (adresse utilisable à la date de réalisation de cette documentation : http://www.microsoft.com/downloads/details.aspx?FamilyID=a7b7a05e-6de6-4d3a-a423-37bf0912db84&displayLang=fr).
Nouveauté 16
Cas particulier : Framework .NET 4.0
La DLL .NET 4 a besoin de la LibC 10. Elle ne se charge donc pas sur des machines :
  • possédant uniquement le framework .NET 4
  • sur lesquelles aucune autre application n'a encore installé la LibC 10 (Visual 2010 par exemple).
La version distribuable de la LibC 10 est librement téléchargeable sur le site de Microsoft (adresse utilisable à la date de réalisation de cette documentation : http://www.microsoft.com/downloads/details.aspx?FamilyID=a7b7a05e-6de6-4d3a-a423-37bf0912db84&displayLang=fr).
Cas particulier : Framework .NET 4.0
La DLL .NET 4 a besoin de la LibC 10. Elle ne se charge donc pas sur des machines :
  • possédant uniquement le framework .NET 4
  • sur lesquelles aucune autre application n'a encore installé la LibC 10 (Visual 2010 par exemple).
La version distribuable de la LibC 10 est librement téléchargeable sur le site de Microsoft (adresse utilisable à la date de réalisation de cette documentation : http://www.microsoft.com/downloads/details.aspx?FamilyID=a7b7a05e-6de6-4d3a-a423-37bf0912db84&displayLang=fr).
Versions 22 et supérieures
Installer la LibC 10
WINDEVWindows La DLL .NET a besoin de la LibC 10. Elle ne se charge pas sur des machines sur lesquelles aucune autre application n'a encore installé la LibC 10 (Visual 2010 par exemple).
La version distribuable de la LibC 10 est librement téléchargeable sur le site de Microsoft (adresse utilisable à la date de réalisation de cette documentation : http://www.microsoft.com/downloads/details.aspx?FamilyID=a7b7a05e-6de6-4d3a-a423-37bf0912db84&displayLang=fr.
Nouveauté 22
Installer la LibC 10
WINDEVWindows La DLL .NET a besoin de la LibC 10. Elle ne se charge pas sur des machines sur lesquelles aucune autre application n'a encore installé la LibC 10 (Visual 2010 par exemple).
La version distribuable de la LibC 10 est librement téléchargeable sur le site de Microsoft (adresse utilisable à la date de réalisation de cette documentation : http://www.microsoft.com/downloads/details.aspx?FamilyID=a7b7a05e-6de6-4d3a-a423-37bf0912db84&displayLang=fr.
Installer la LibC 10
WINDEVWindows La DLL .NET a besoin de la LibC 10. Elle ne se charge pas sur des machines sur lesquelles aucune autre application n'a encore installé la LibC 10 (Visual 2010 par exemple).
La version distribuable de la LibC 10 est librement téléchargeable sur le site de Microsoft (adresse utilisable à la date de réalisation de cette documentation : http://www.microsoft.com/downloads/details.aspx?FamilyID=a7b7a05e-6de6-4d3a-a423-37bf0912db84&displayLang=fr.
Régler le niveau de sécurité .NET
WINDEVWindows Pour régler le niveau de sécurité .NET, nous vous conseillons de consulter la documentation Microsoft. Le niveau de sécurité doit être réglé sur "Confiance totale".
Rendre accessibles les DLLs nécessaires à l'exécution de l'assemblage .NET
WINDEVWindows Pour rendre accessibles les DLLs nécessaires à l'exécution de l'assemblage .NET :
  1. Copiez si nécessaire la librairie "WDxxNET.DLL" (cette librairie est disponible dans le sous-répertoire "\Programmes" du répertoire d'installation) :
    • soit dans le répertoire de l'assemblage .NET.
    • soit dans le sous-répertoire "Assembly" du répertoire d'installation de Windows.
      • Pour un assemblage .NET 1.0, la DLL à copier est wdxxxnet1.dll.
        Attention : Les assemblages .NET 1.0 ne sont plus supportés à partir de la version 19.
      • Pour un assemblage .NET 2.0, la DLL à copier est wdxxxnet2.dll.
      • Pour un assemblage .NET 2.0 en 64 bits, la DLL à copier est wdxxxnet2_64.dll.
      • Versions 16 et supérieures
        Pour un assemblage .NET 4.0, la DLL à copier est wdxxxnet4.dll.
        Nouveauté 16
        Pour un assemblage .NET 4.0, la DLL à copier est wdxxxnet4.dll.
        Pour un assemblage .NET 4.0, la DLL à copier est wdxxxnet4.dll.
  2. Copiez si nécessaire les librairies WINDEV :
    • soit dans le répertoire de l'assemblage .NET.
    • soit dans le PATH.
Rappel : Le PATH liste les répertoires dans lesquels les exécutables (fichiers ".EXE") et les librairies (fichiers ".DLL") sont recherchés en priorité.
Installer le Compact Framework
WINDEV Mobile Pour installer le Compact Framework sur le poste en cours et sur le Pocket PC :
  1. Consultez le site de Microsoft.
  2. Dans la partie "Téléchargement", recherchez l'installation du Compact Framework.
  3. Installez le Compact Framework.
Attention : Le Compact Framework (version 2.0) ne fonctionne pas sur Windows CE 2002 et sur les Smartphones 2003.
Version minimum requise
  • Version 9
Documentation également disponible pour…
Commentaires
Cliquez sur [Ajouter] pour publier un commentaire